Subject: Re: bug#21833: 24.4; desktop-kill, which is interactive, is in kill-emacs-hook

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Nov 2015 20:55:03 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Fri, 13 Nov 2015 15:35:22 +0100
> Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked]
> 
> > It also talks about the daemon. If that's the problem, then I guess
> > desktop-kill could behave as if YES was answered when we run in daemon
> > mode and -Q was not given on the command line. Would that make sense?
> 
> There are three "ask" cases in desktop-save.
> 
> ask -- always ask.
> ask-if-new -- ask if no desktop file exists, otherwise just save.
> ask-if-exists -- ask if desktop file exists, otherwise don't save.
> 
> I'm not sure defaulting to YES in all cases is what makes more sense. 

If a daemon is exiting that was not invoked with -Q, yes, I think YES
will always make more sense than NO.  Can you tell why you aren't
sure?

> > What other use cases are there where this issue could arise,
> > i.e. where the user couldn't answer the question?
> 
> Don't know. It is posible for an Emacs instance to have all frames in a remote
> desktop?

I think only if invoked with -daemon.